<?php

class User extends Model
{
	protected string $table_name = 'users';

	/**
	 * Find a user by their ID, username or email. Returns false on any failure.
	 */
	public static function find(int|string $id): User|false
	{
		$query = db()->query(
			"SELECT * FROM users WHERE id=? OR username=? COLLATE NOCASE OR email=? COLLATE NOCASE LIMIT 1;",
			[$id, $id, $id]
		);
		if ($query === false) return false;
		$data = $query->fetchArray(SQLITE3_ASSOC);
		if ($data === false) return false;
		return new User($data);
	}
}
