<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title><?= $title ?></title>
	<link rel="stylesheet" href="/css/dk.css">

	<script>
		function opencharpopup(id = 0)
		{
			const url = id == 0 ? '/character' : '/character/' + id
			window.open(url, "", "width=210,height=500,scrollbars")
		}

		function openmappopup()
		{
			window.open("/showmap", "", "width=520,height=520,scrollbars")
		}
	</script>
</head>
<body class="skin-<?= $game_skin ?>">
	<div id="game-container">
		<header>
			<img id="logo" src="/img/logo.gif" alt="<?= $dkgamename ?>" title="<?= $dkgamename ?>">
			<nav><?= $topnav ?></nav>
		</header>

		<main>
			<section id="left"><?= $leftnav ?></section>
			<section id="middle"><?= $content ?></section>
			<section id="right"><?= $rightnav ?></section>
		</main>

		<footer>
			<div>Powered by <a href="/" target="_new">Dragon Knight</a></div>
			<div>&copy; 2024 Sharkk</div>
			<div><?= $totaltime ?> Seconds, <?= $numqueries ?> Queries</div>
			<div>Version <?= $version ?> <?= $build ?></div>
		</footer>

		<?php
			if (!empty($querylog)) {
				echo '<pre>';
				foreach ($querylog as $record) {
					$query_string = str_replace(["\r\n", "\n", "\r"], ' ', $record[0]);
					$error_string = !empty($record[2]) ? '// '.$record[2] : '';
					echo '<div>['.round($record[1], 2)."s] {$query_string}{$error_string}</div>";
				}
				echo '</pre>';
			}
		?>
	</div>
</body>
</html>
